#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Error - error/exception handling in an OO-ish way
Summary(pl.UTF-8):	Error - obiektowa obsługa błędów/wyjątków
Name:		perl-Error
Version:	0.17028
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/Error/Error-%{version}.tar.gz
Source0:	http://www.cpan.org/modules/by-module/Error/SHLOMIF/Error-%{version}.tar.gz
# Source0-md5:	ec3522c60a43a368f19c0f89e2205cb1
URL:		http://search.cpan.org/dist/Error/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.04
BuildRequires:	perl-Scalar-List-Utils
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Error Perl module provides two interfaces. Firstly Error provides
a procedural interface to exception handling. Secondly Error is a base
class for errors/exceptions that can either be thrown, for subsequent
catch, or can simply be recorded.

%description -l pl.UTF-8
Moduł Perla Error udostępnia dwa interfejsy. Po pierwsze, interfejs
proceduralny do obsługi wyjątków. Po drugie, klasę bazową dla
błędów/wyjątków, które mogą być albo przerzucone dla późniejszego
przejęcia, albo po prostu zarejestrowane.

%prep
%setup -q -n Error-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Error.pm
%dir %{perl_vendorlib}/Error
%{perl_vendorlib}/Error/Simple.pm
%{_mandir}/man3/Error*.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Error.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 26a15e8
- up to 0.17028

* Thu May 18 2017 Mariusz Mazur <mmazur@pld-linux.org> 8add2c8
- Forgot about a test BR

* Thu May 18 2017 Mariusz Mazur <mmazur@pld-linux.org> 61df7bd
- Up to 0.17024

* Mon Nov 04 2013 Kacper Kornet <draenog@pld-linux.org> 3ec1dc3
- up to 0.17021
- additional BRs for tests

* Tue Jun 05 2012 Caleb Maclennan <caleb@alerque.com> f5b34b5
- Up to 0.17018

* Wed Nov 17 2010 Jakub Bogusz <qboosh@pld-linux.org> 2bc201a
- updated to 0.17016

* Thu Oct 14 2010 Elan Ruusamäe <glen@pld-linux.org> 07fc6f5
- release 2

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> ea4e830
- updated to 0.17015

* Tue Oct 14 2008 Elan Ruusamäe <glen@pld-linux.org> c1783a5
- generic url

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2813d32
- release 7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2892394
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4a72ec2
- converted to UTF-8

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 7796f4e
- spelling fix

* Fri May 07 2004 ankry <ankry@pld-linux.org> d8e3f1c
- rel. 6

* Thu May 06 2004 ankry <ankry@pld-linux.org> fbe68f1
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> ef2505e
- rel. 5 for Ac

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 20c1ddc
- tests added

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 7045e36
- better summary/description, license fixes and unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 7ab1fa9
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 8d6fb5b
- mass commit: cosmetics (removed trailing white spaces)

